Aller au contenu
iPeyMC

Gui/Tuske Problème

Messages recommandés

Bonsoir mes amis skripteurs,

avant de parler de mon problème voici ma version skript : Skript version 2.2-dev25 (ne me dites pas d'aller en 36 svp)
                                                                             version minecraft : 1.8 (je préfère cette version)
                                                                             version tuske : TuSKe version 1.8.2 (la meme chose si je le change en pika ou 1.8 normal ou qq d'autre, parce que j'ai tout essayé)

 

alors voici mon code avec les erreurs

command /guiworld:
	trigger:
		player is in world "world"
		open chest with 5 rows named " &c&lʘ &b&oMenu Principal" to player
		wait 2 ticks
		format gui slot 0, 2, 4, 6, 8, 37, 39, 41, 43 of player with 160
		format gui slot 1, 3, 5, 7, 36, 38, 40, 42, 44 of player with 160:14
		format gui slot 20 of player with grass named "&a&lIrizski" with lore "&7Bloc de nether||&7&m-----------------------------------||&eDes knockbacks propres !||&eDes duels contre des golems !||&eUn monde &afacile pour le PvP !||&eDes &8enclumes &equi tombent du ciel à tout moment !||&7&m-----------------------------------||&e%number of all players in world ""world""% Joueurs connecté(e)s||&7&m-----------------------------------" to run:
			close player's inventory
			make player execute command "go"

Erreur :   

Citation

[22:16:20 ERROR]: can't understand this condition: 'format gui slot 20 of player with grass named "&a&lIrizski" with lore "&7Bloc de nether||&7&m-----------------------------------||&eDes knockbacks propres !||&eDes duels contre des golems !||&eUn monde &afacile pour le PvP !||&eDes &8enclumes &equi tombent du ciel ├á tout moment !||&7&m-----------------------------------||&e%number of all players in world ""world""% Joueurs connect├®(e)s||&7&m-----------------------------------" to run' (TP spawn.sk, line 24: format gui slot 20 of player with grass named "&a&lIrizski" with lore "&7Bloc de nether||&7&m-----------------------------------||&eDes knockbacks propres !||&eDes duels contre des golems !||&eUn monde &afacile pour le PvP !||&eDes &8enclumes &equi tombent du ciel ├á tout moment !||&7&m-----------------------------------||&e%number of all players in world ""world""% Joueurs connect├®(e)s||&7&m-----------------------------------" to run:')

Cordialement walid.

Partager ce message


Lien à poster
Partager sur d’autres sites
Il y a 15 heures, iPeyMC a dit :

Bonsoir mes amis skripteurs,

avant de parler de mon problème voici ma version skript : Skript version 2.2-dev25 (ne me dites pas d'aller en 36 svp)
                                                                             version minecraft : 1.8 (je préfère cette version)
                                                                             version tuske : TuSKe version 1.8.2 (la meme chose si je le change en pika ou 1.8 normal ou qq d'autre, parce que j'ai tout essayé)

 

alors voici mon code avec les erreurs

command /guiworld:
	trigger:
		player is in world "world"
		open chest with 5 rows named " &c&lʘ &b&oMenu Principal" to player
		wait 2 ticks
		format gui slot 0, 2, 4, 6, 8, 37, 39, 41, 43 of player with 160
		format gui slot 1, 3, 5, 7, 36, 38, 40, 42, 44 of player with 160:14
		format gui slot 20 of player with grass named "&a&lIrizski" with lore "&7Bloc de nether||&7&m-----------------------------------||&eDes knockbacks propres !||&eDes duels contre des golems !||&eUn monde &afacile pour le PvP !||&eDes &8enclumes &equi tombent du ciel à tout moment !||&7&m-----------------------------------||&e%number of all players in world ""world""% Joueurs connecté(e)s||&7&m-----------------------------------" to run:
			close player's inventory
			make player execute command "go"

Erreur :   

Cordialement walid.

Je vais testé ça cet après-midi

  • Merci 1

Partager ce message


Lien à poster
Partager sur d’autres sites

Regarde déjà quand je fais /tuske update check
 

[16:55:20 INFO]: [TuSKe] Checking for update...
[16:55:21 WARN]: Unexpected exception while parsing console command "tuske update check"
org.bukkit.command.CommandException: Unhandled exception executing command 'tuske' in plugin TuSKe v1.8
        at org.bukkit.command.PluginCommand.execute(PluginCommand.java:46) ~[spigot.1.8.jar:git-Spigot-c3c767f-33d5de3]
        at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:141) ~[spigot.1.8.jar:git-Spigot-c3c767f-33d5de3]
        at org.bukkit.craftbukkit.v1_8_R1.CraftServer.dispatchCommand(CraftServer.java:646) ~[spigot.1.8.jar:git-Spigot-c3c767f-33d5de3]
        at org.bukkit.craftbukkit.v1_8_R1.CraftServer.dispatchServerCommand(CraftServer.java:632) [spigot.1.8.jar:git-Spigot-c3c767f-33d5de3]
        at net.minecraft.server.v1_8_R1.DedicatedServer.aM(DedicatedServer.java:353) [spigot.1.8.jar:git-Spigot-c3c767f-33d5de3]
        at net.minecraft.server.v1_8_R1.DedicatedServer.z(DedicatedServer.java:317) [spigot.1.8.jar:git-Spigot-c3c767f-33d5de3]
        at net.minecraft.server.v1_8_R1.MinecraftServer.y(MinecraftServer.java:634) [spigot.1.8.jar:git-Spigot-c3c767f-33d5de3]
        at net.minecraft.server.v1_8_R1.MinecraftServer.run(MinecraftServer.java:537) [spigot.1.8.jar:git-Spigot-c3c767f-33d5de3]
        at java.lang.Thread.run(Unknown Source) [?:1.8.0_191]
Caused by: java.lang.NoClassDefFoundError: com/google/gson/JsonParser
        at me.tuke.sktuke.GitHubUpdater.lambda$checkForUpdate$0(GitHubUpdater.java:87) ~[?:?]
        at java.lang.Thread.run(Unknown Source) ~[?:1.8.0_191]
        at me.tuke.sktuke.GitHubUpdater.checkForUpdate(GitHubUpdater.java:122) ~[?:?]
        at me.tuke.sktuke.TuSKe.onCommand(TuSKe.java:158) ~[?:?]
        at org.bukkit.command.PluginCommand.execute(PluginCommand.java:44) ~[spigot.1.8.jar:git-Spigot-c3c767f-33d5de3]
        ... 8 more

 

Partager ce message


Lien à poster
Partager sur d’autres sites
il y a 1 minute, iPeyMC a dit :

Regarde déjà quand je fais /tuske update check
 

[16:55:20 INFO]: [TuSKe] Checking for update...
[16:55:21 WARN]: Unexpected exception while parsing console command "tuske update check"
org.bukkit.command.CommandException: Unhandled exception executing command 'tuske' in plugin TuSKe v1.8
        at org.bukkit.command.PluginCommand.execute(PluginCommand.java:46) ~[spigot.1.8.jar:git-Spigot-c3c767f-33d5de3]
        at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:141) ~[spigot.1.8.jar:git-Spigot-c3c767f-33d5de3]
        at org.bukkit.craftbukkit.v1_8_R1.CraftServer.dispatchCommand(CraftServer.java:646) ~[spigot.1.8.jar:git-Spigot-c3c767f-33d5de3]
        at org.bukkit.craftbukkit.v1_8_R1.CraftServer.dispatchServerCommand(CraftServer.java:632) [spigot.1.8.jar:git-Spigot-c3c767f-33d5de3]
        at net.minecraft.server.v1_8_R1.DedicatedServer.aM(DedicatedServer.java:353) [spigot.1.8.jar:git-Spigot-c3c767f-33d5de3]
        at net.minecraft.server.v1_8_R1.DedicatedServer.z(DedicatedServer.java:317) [spigot.1.8.jar:git-Spigot-c3c767f-33d5de3]
        at net.minecraft.server.v1_8_R1.MinecraftServer.y(MinecraftServer.java:634) [spigot.1.8.jar:git-Spigot-c3c767f-33d5de3]
        at net.minecraft.server.v1_8_R1.MinecraftServer.run(MinecraftServer.java:537) [spigot.1.8.jar:git-Spigot-c3c767f-33d5de3]
        at java.lang.Thread.run(Unknown Source) [?:1.8.0_191]
Caused by: java.lang.NoClassDefFoundError: com/google/gson/JsonParser
        at me.tuke.sktuke.GitHubUpdater.lambda$checkForUpdate$0(GitHubUpdater.java:87) ~[?:?]
        at java.lang.Thread.run(Unknown Source) ~[?:1.8.0_191]
        at me.tuke.sktuke.GitHubUpdater.checkForUpdate(GitHubUpdater.java:122) ~[?:?]
        at me.tuke.sktuke.TuSKe.onCommand(TuSKe.java:158) ~[?:?]
        at org.bukkit.command.PluginCommand.execute(PluginCommand.java:44) ~[spigot.1.8.jar:git-Spigot-c3c767f-33d5de3]
        ... 8 more

 

quand tu fais /pl tuske est en quel couleurs ?

Partager ce message


Lien à poster
Partager sur d’autres sites
il y a une heure, uiytt a dit :

quand tu fais /pl tuske est en quel couleurs ?

vert

Partager ce message


Lien à poster
Partager sur d’autres sites
il y a 6 minutes, iPeyMC a dit :

vert

As tu instaler skquery et si oui quel version (/ver Skquery)

Partager ce message


Lien à poster
Partager sur d’autres sites
il y a une heure, uiytt a dit :

As tu instaler skquery et si oui quel version (/ver Skquery)

SkQuery version 3.6.2-Lime

Partager ce message


Lien à poster
Partager sur d’autres sites
il y a 3 minutes, iPeyMC a dit :

SkQuery version 3.6.2-Lime

Moi avec version skript : dev 37, mc : 1.12, tuske : pikachupatch v3 et skquery-lime... J'ai aucun problème malheureusement pour toi le problème viens probablement de ta version...

Modifié par uiytt

Partager ce message


Lien à poster
Partager sur d’autres sites
il y a 23 minutes, iPeyMC a dit :

Tu est en 1.12, je suis en 1.8, et puis en dev27 c'est pas pour les 1.8

Justement je ne peux pas t'aider car le problème viens de la version, la seul solution et donc de changer de version mais tu refuse donc je ne peux rien faire désoler...

Partager ce message


Lien à poster
Partager sur d’autres sites
il y a une heure, uiytt a dit :

Justement je ne peux pas t'aider car le problème viens de la version, la seul solution et donc de changer de version mais tu refuse donc je ne peux rien faire désoler...

version minecraft tu veux dire ? ah non.., tu pourrais les versions skript qui sont compatibles avec la 1.8 ?

 

Modifié par iPeyMC

Partager ce message


Lien à poster
Partager sur d’autres sites
il y a 13 minutes, iPeyMC a dit :

version minecraft tu veux dire ? ah non.., tu pourrais les versions skript qui sont compatibles avec la 1.8 ?

 

skript dev27 max de la 1.8 je crois...

Partager ce message


Lien à poster
Partager sur d’autres sites
il y a une heure, uiytt a dit :

skript dev27 max de la 1.8 je crois...

oui le problème quand j'essaye d'nstaller la 2.2-dev27, et quand je redémarre le serveur (sous localhost), et quand je tape /sk reload "monskript", ca me met : /sk help
non seulement "/sk reload "monskript"" mais aussi /sk en général, j'ai des erreurs, je peux te les envoyé stv ???

Partager ce message


Lien à poster
Partager sur d’autres sites
il y a 13 minutes, iPeyMC a dit :

oui le problème quand j'essaye d'nstaller la 2.2-dev27, et quand je redémarre le serveur (sous localhost), et quand je tape /sk reload "monskript", ca me met : /sk help
non seulement "/sk reload "monskript"" mais aussi /sk en général, j'ai des erreurs, je peux te les envoyé stv ???

Humm alors pas dev 37, je t’avouerais que j'en très peux, j'ai pas l'habitude de coder en 1.8 essaye de demander de l'aide à d'autre personne pour ça ^^

Partager ce message


Lien à poster
Partager sur d’autres sites
Il y a 1 heure, uiytt a dit :

Humm alors pas dev 37, je t’avouerais que j'en très peux, j'ai pas l'habitude de coder en 1.8 essaye de demander de l'aide à d'autre personne pour ça ^^

uhhh flemme d'attendre, mais bon je suis obligé

Partager ce message


Lien à poster
Partager sur d’autres sites

Change l'aliases du grass c'est souvent ça la cause quand j'ai des erreurs avec mes gui de tuske. C'est juste qu'il ne trouve pas le bloc lié à la grass du coup il sort une erreur.

Partager ce message


Lien à poster
Partager sur d’autres sites

×

Information importante

Nous avons placé des cookies sur votre appareil pour aider à améliorer ce site. Vous pouvez choisir d’ajuster vos paramètres de cookie, sinon nous supposerons que vous êtes d’accord pour continuer.